Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository.beans
Class ContentResourceBean

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
          com.jaspersoft.jasperserver.export.modules.repository.beans.ContentResourceBean

    public class ContentResourceBean

extends ResourceBean

Version:
  $Id: ContentResourceBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  tkavanagh

Field Summary
`static java.lang.String` | `DATA_PROVIDER_ID`

Constructor Summary
`ContentResourceBean()`

Method Summary
`protected void` | `additionalCopyFrom(Resource res, ResourceExportHandler exportHandler)`
`protected void` | `additionalCopyTo(Resource res, ResourceImportHandler importHandler)`
`protected void` | `copyResourcesFrom(ContentResource contentRes, ResourceExportHandler exportHandler)`
`protected void` | `copyResourcesTo(ContentResource contentRes, ResourceImportHandler importHandler)`
`java.lang.String` | `getDataFile()`
`java.lang.String` | `getFileType()`
`ContentResourceBean[]` | `getResources()`
`void` | `setDataFile(java.lang.String dataFile)`
`void` | `setFileType(java.lang.String fileType)`
`void` | `setResources(ContentResourceBean[] resources)`

Methods inherited from class com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
`copyFrom, copyTo, getCreationDate, getDescription, getFolder, getLabel, getName, getPermissions, getVersion, handleReferences, handleReferences, setCreationDate, setDescription, setFolder, setLabel, setName, setPermissions, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_PROVIDER_ID

    public static final java.lang.String DATA_PROVIDER_ID

See Also:
  Constant Field Values

Constructor Detail

### ContentResourceBean

    public ContentResourceBean()

Method Detail

### additionalCopyFrom

    protected void additionalCopyFrom(Resource res,
                                      ResourceExportHandler exportHandler)

  Specified by:
    `additionalCopyFrom` in class `ResourceBean`

### copyResourcesFrom

    protected void copyResourcesFrom(ContentResource contentRes,
                                     ResourceExportHandler exportHandler)

### additionalCopyTo

    protected void additionalCopyTo(Resource res,
                                    ResourceImportHandler importHandler)

  Specified by:
    `additionalCopyTo` in class `ResourceBean`

### copyResourcesTo

    protected void copyResourcesTo(ContentResource contentRes,
                                   ResourceImportHandler importHandler)

### getFileType

    public java.lang.String getFileType()

### setFileType

    public void setFileType(java.lang.String fileType)

### getResources

    public ContentResourceBean[] getResources()

### setResources

    public void setResources(ContentResourceBean[] resources)

### getDataFile

    public java.lang.String getDataFile()

### setDataFile

    public void setDataFile(java.lang.String dataFile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.